Name:           rhsc-cli
Version: 2.1.2.3
Release: 2%{?dist}
Summary:        RHSC Engine Command Line Interface
Group:          Development/Libraries
License:        ASL 2.0
URL:            http://ovirt.org
Source0:        http://ovirt.org/releases/stable/src/%{name}-%{version}.tar.gz

BuildRequires: python2-devel
BuildRequires: python-setuptools-devel
BuildRequires: python-ply
BuildRequires: python-kitchen

BuildArch: noarch

Requires: python
Requires: rhsc-sdk-python >= 2.1.2.2-2
Requires: python-setuptools
Requires: python-ply
Requires: python-kitchen
Conflicts: python-cli

%description
The command line interface for RHSC Engine.

%prep
%setup -q -n %{name}

%build

# Call the method that generates the parsing tables, so that they
# are generated and included in the package:
pushd src
  %{__python} -c 'import cli.parser; parser = cli.parser.Parser(); parser._write_tables()'
popd

%{__python} -c 'import setuptools; execfile("setup.py")' build


%install
%{__python} -c 'import setuptools; execfile("setup.py")' install -O1 --skip-build --root %{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/ovirtcli
%{python_sitelib}/cli
%{python_sitelib}/rhsc_shell-*
%attr (755,root,root)/usr/bin/rhsc-shell
%doc README
%doc AUTHORS
%doc LICENSE

%changelog
* Thu Jan 16 2014 Bala.FA <barumuga@redhat.com> - 2.1.2.3-2
- fix dist usage

* Thu Jan 16 2014 Bala.FA <barumuga@redhat.com> - 2.1.2.3-1
- set rhsc-sdk-python dependency version to 2.1.2.2-1

* Tue Dec 17 2013 Bala.FA <barumuga@redhat.com> - 2.1.2.2-1
- set dependency rhsc-sdk-python version to 2.1.2.1-1

* Mon Dec 16 2013 Aravinda VK <avishwan@redhat.com> - 2.1.2.0-3
  - Changed version number and dependency version

* Mon Nov 18 2013 Bala.FA <barumuga@redhat.com> - 2.1.2.1-1
- Revert "Fix: change of variable datetime to datetime_"

* Fri Nov 15 2013 Bala.FA <barumuga@redhat.com> - 2.1.2.0-1
- rebase source from rhevm-cli-3.3.0.11

* Mon Nov 11 2013 Aravinda VK <avishwan@redhat.com> - 2.1.2.0-0.3
 - Changed version number
 - Added new patch 

* Tue Oct 15 2013 Aravinda VK <avishwan@redhat.com> - 2.1.2.0-0.1
 - Changed version number

* Fri Jun 14 2013 Aravinda VK <avishwan@redhat.com> - 2.1.0.0-0.bb3a
 - Changed version number

* Tue Jun 11 2013 Sahina Bose <sabose@redhat.com> - 2.1.0.0-0.bb3
 - Source tarball from RHEVM 3.2
 - RHSC Branding

* Thu May 09 2013 Aravinda <avishwan@redhat.com> - 2.1.0.0-0.bb2
 - Source tarball from RHEVM 3.2
 - RHSC Branding(changed from ovirt-shell to rhsc-shell)

* Thu May 09 2013 Aravinda <avishwan@redhat.com> - 2.1.0.0-1.bb1
 - Source tarball from RHEVM 3.2
 - RHSC Branding

* Wed Mar 06 2013 Aravinda <avishwan@redhat.com> - 2.1-0.qa5
 - Source tarball from RHEVM, Added Conflicts package name
 - RHSC Branding

* Thu Dec  20 2012 Shireesh Anjal <sanjal@redhat.com> - 2.1-0.qa4
 - RHS-C branding

* Tue Dec  18 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.1.2-1
 - disable output redirection via config #877151
 - CTRL+C signal while password prompt appears causes to rhevm-cli to fall #880696

* Tue Oct  16 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.17-1
 - adapt to sdk-3.1.0.14 restriction of .get() methods to id/name
 
* Mon Oct  1 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.16-1
- support utf-8 encoding
- change all occurrences of ovirt -> rhevm #856497
- "storagedomain" option appears in all vm actions #856164
- do not log /connect command in history
- disable /history while not connected
- add username/password prompt/command-line functionality #854338

* Tue Sep 11 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.15-1
- fix RemoveCommand.name

* Tue Sep 11 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.14-1
- history command does not support pipe redirection #854486
- Rename "delete" command with "remove" #855769
- Raise an error if identifier is not specified in /show command #855750
- remove --show-all option from "show" command #855749
- rename "create" command with "add" #855773
- change collection based arguments syntax help #854506
- valid UUIDs are treated as syntax error #854391

* Thu Sep  6 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.13-1
- revert of do not mandate CA certificate
- do not load/save example_config. file

* Tue Sep  4 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.12-1
- subcollection are not listed not shown #854047

* Mon Sep  3 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.11-1
- raise NoCertificatesError only when no ca_file specified
- do not mandate CA certificate
  (this change is required to allow cli consumers adapting to new security policy)
  
* Mon Aug 27 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.10-1
- fix incorrect ExecutionMode import

* Mon Aug 27 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.9-1
- implement /filter flag
- do not write to file i/o during script execution
- shell does not exit when using /exit/ command in script #850597

* Mon Aug  20 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.8-1
- implement insecure flag #848046
- implement server identity check #848376
- collection-based-options definition doesnt look like cli format #833788

* Sun Jul 15 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.6-1
- support python 2.6 version format

* Sun Jul 15 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.5-1
- refactor /status/ command
- do not force credentials check on sdk > 3.1.0.4
- implement /info/ command
- implement generic parameters processing for /list/ command

* Mon Jul 9 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.4-1
- use host-subject (certificate) to validate host identity during spice initiation
- implement syntax error
- recognize RequestError as command failure
- do not sort command options in /help/ commands

* Mon Jun 25 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.3-1
- expend nested types as parameters overloads
- refactor /help/ to support parameters overload
- do not clear screen on sys.error
- refactor auto-completion to support 3+ deep collections/resources
- cli does not support 3+ deep collections/resources #827845

* Thu Jun 7 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.2-1alpha
- Implement history browsing mechanism #823512, new capabilities:
    - persistent history stack
    - recursive history search - ctrl+r
    - history listing - history
    - history slide retrieval - history N
- Implement pipe redirection to linux shell #823508
- exit on incorrect option
- miss-type in "help list" command #803399

* Wed May 16 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.1-1alpha
- add basic scripting capabilities
- Support multiline input #815684
- Version format refactoring to align with oVirt version schema 
- Alpha release

* Thu May 10 2012 Michael Pasternak <mpastern@redhat.com> - 2.1.6-1
- Remove pregenerated parsing tables
- Allow quoting of strings with single or double quotes
- Don't add -s option to spicec when SSL is disabled (#812299)

* Wed Mar 28 2012 Michael Pasternak <mpastern@redhat.com> - 2.1.5-1
- use OrderedDict instead of papyon odict
- get rid of papyon dep.

* Wed Mar 21 2012 Michael Pasternak <mpastern@redhat.com> - 2.1.4-1
- no auto completion for connect command #803312

* Wed Mar 14 2012 Michael Pasternak <mpastern@redhat.com> - 2.1.3-1
- remove codegen.doc.documentation import

* Tue Mar 13 2012 Michael Pasternak <mpastern@redhat.com> - 2.1.2-1
- do not consider empty string as a command (see 2.1.1-1 changes for 2.1.X rpm diffs)

* Tue Mar 13 2012 Michael Pasternak <mpastern@redhat.com> - 2.1.1-1
- do not expose commands other than /connect,help,exit/ when disconnected
- a user can use Status option as action while it doesnt exist #800047
- cli: console command not function #800052
- support auto-completion on /update/ command
- implement collection based parameters support
- support parameters_set overloads in help
- implement support for multi-argument methods in sdk
- call sys.exit() on Ctrl+C signal

* Wed Feb 15 2012 Michael Pasternak <mpastern@redhat.com> - 2.0-1
- New application core
- Added support for commands history stack
- Added support for context aware auto-competition
- Dynamic ovirt-engine-sdk meatdata discovering
- Removed restriction for specific version of ovirt-engine-sdk
  from 1.5 and further ovirt-engine-cli can work with any
  version of sdk (unless sdk introduced cli incompatible change)
- same naming convention in ovirt-engine-cli and ovirt-engine-sdk
- reformatted output to support reduced and expended modes in
  list in show commands by --show-all argument 
- object fields formatting
- added support for linux shell commands redirection
- shell output redirection support
- added SSL arguments to connect command
- added ovirt-engine-api version discovering mechanism

* Thu Jan 19 2012 Michael Pasternak <mpastern@redhat.com> - 1.2-1
- unable to add host #782734
  https://bugzilla.redhat.com/show_bug.cgi?id=782734
- unable to add new cluster #782707
  https://bugzilla.redhat.com/show_bug.cgi?id=782707

* Mon Jan 16 2012 Michael Pasternak <mpastern@redhat.com> - 1.1-1
- unable to create data-center: problem with --version param #781834
  https://bugzilla.redhat.com/show_bug.cgi?id=781834
- authentication show as succeeded with bad password (text only) #781820
  https://bugzilla.redhat.com/show_bug.cgi?id=781820

* Thu Dec 15 2011 Ofer Schreiber <oschreib@redhat.com> - 1.0-1
- Initial build
